API 参考激活码

激活码列表

GEThttps://api.astrum.shop/v1/keys
权限范围 keys:read

您商店的激活码,最新的在前。筛选条件:状态、订单号、套餐。

参数

status
查询 · string | null

激活码状态。

ref
查询 · string | null

购买时传入的您那边的订单号。

product_id
查询 · uuid | null

套餐。

page
查询 · integer

页码,每页 50 个激活码;超过最后一页时 keys 为空。

响应

keys
array

本页的激活码;超过最后一页时为空列表。

↳key_id
string

激活码在我们这里的编号——用于 GET /v1/keys/{key_id}。

↳code
string | null

交给客户的激活码:XXXX-XXXX-XXXX-XXXX。

↳link
string | null

开通页面链接——激活码会自动填入。

↳status
string

激活码状态:

available
未使用——可以交给客户
activating
客户已提交信息,正在开通
activated
订阅已开通
expired
已作废——未在有效期内激活
refunded
价格已退回余额
↳product_id
string
↳title
string

套餐名称。

↳delivery_method
string
↳kind
string | null
↳subscription_days
integer | null
↳price_usdt
string

激活码的价格——为它扣除的金额。

↳ref
string | null

购买时传入的您那边的订单号。

↳created_at
string
↳expires_at
string

未激活时的作废时间:购买后 45 天。

↳activated_at
string | null
↳warranty_until
string | null

质保截止时间(自激活起 7 天)。

↳last_attempt_failed_at
string | null

最近一次开通未成功的时间——此后激活码重新变为未使用。

↳last_attempt_reason
string | null

最近一次尝试未成功的原因:

verification_declined
客户拒绝了身份验证
not_activated
未能开通订阅,尝试已关闭

null — 没有失败的尝试。

total
integer

符合筛选条件的激活码数量。

page
integer

页码——与请求中一致。

pages
integer

总页数,每页 50 个激活码;至少为 1。

所有接口通用的错误,详见「错误码」章节:

10001 invalid_key10002 key_scope_missing10003 ip_not_allowed10004 browser_not_allowed10005 account_suspended20001 too_many_requests90002 api_disabled90001 internal_error
测试 USDT,
密钥 ask_test_…
curl https://api.astrum.shop/v1/keys \
  -H "Authorization: Bearer $ASTRUM_KEY"